Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
quyennv01

Dãn các dòng text đều nhau

Các bài được khuyến nghị

quyennv01    12

Chào mọi người. các bạn giúp mình với nhé.

Giờ mình có các dòng text rời rạc nhau.mình muốn sắp xếp chúng sao cho các dòng chữ cách đều nhau một khoảng nào đó.mọi người viết cho mình xin cái lisp như vậy nhé.cám ơn.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
duongsatdn    762
Chào mọi người. các bạn giúp mình với nhé.

Giờ mình có các dòng text rời rạc nhau.mình muốn sắp xếp chúng sao cho các dòng chữ cách đều nhau một khoảng nào đó.mọi người viết cho mình xin cái lisp như vậy nhé.cám ơn.

Bài này chưa vừa ý bạn chăng?

"Líp giãn dòng text"

mọi người giúp mình nhé.

giờ mình có các dòng text ở các vị trí khác nhau.mình muốn đưa nó về một chỗ rồi sắp xếp thẳng hàng căn lề nào đó (trái ,phải, giữa, )và mình muốn cho các dòng text nó giãn dòng đều nhau.giúp mình nhé.cám ơn.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
quyennv01    12
Bài này chưa vừa ý bạn chăng?

"Líp giãn dòng text"

cái topic đó là do mình viết, nhưng các bài của mọi ngưòi vẫn chưa hiểu ý mình. ý mình là giờ các dòng text rời rạc của mình,mình dánh lệnh lisp.rồi chọn các dòng text. sau đó chọn khoảng cách giữa các dòng.mục đích để cho các dòng text chúng cách đều nhau.(các dòng text đây là các dòng rời rạc không phải là các dòng trong mtext).giúp mình nhé.thank.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Tue_NV    3.841
cái topic đó là do mình viết, nhưng các bài của mọi ngưòi vẫn chưa hiểu ý mình. ý mình là giờ các dòng text rời rạc của mình,mình dánh lệnh lisp.rồi chọn các dòng text. sau đó chọn khoảng cách giữa các dòng.mục đích để cho các dòng text chúng cách đều nhau.(các dòng text đây là các dòng rời rạc không phải là các dòng trong mtext).giúp mình nhé.thank.

Bạn đã chạy thử Code của bác Hoành chưa vậy? Code có tính năng dãn dòng Text chứ không phải là Mtext.

Bạn phải đọc kỹ bài chứ. Đường Link đó mình đã post ngay trong topic của bạn

Chào bạn. Chúc bạn vui.

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
quyennv01    12
Bạn đã chạy thử Code của bác Hoành chưa vậy? Code có tính năng dãn dòng Text chứ không phải là Mtext.

Bạn phải đọc kỹ bài chứ. Đường Link đó mình đã post ngay trong topic của bạn

Chào bạn. Chúc bạn vui.

mình làm rồi, nhưng mà khi nhập lệnh xong, chọn các dòng text thi cad không thwcj hiện lệnh nữa, bạn thử kêểm tra lại cái code đó hộ mình được không, mình chưa biết nhêều về lisp.cám ơn.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Tue_NV    3.841
mình làm rồi, nhưng mà khi nhập lệnh xong, chọn các dòng text thi cad không thwcj hiện lệnh nữa, bạn thử kêểm tra lại cái code đó hộ mình được không, mình chưa biết nhêều về lisp.cám ơn.

Bạn phải đọc cho kỹ từng trang chứ?

Lệnh Stext của bác Hoành đây bạn :

(defun c:stext (/ sst lstent egoc pgoc xgoc yht zgoc linespc ee tt)
(if (not tyledong)
(setq tyledong 1.5)
)
(princ "\nSap xep text © CADViet.com")
(setq sst (ssget '((0 . "TEXT")))
lstent (ss2ent sst)
tmp (getreal (strcat "\nVao ty le dong khoang cach dong (rtos tyledong 2 2)
">: "
)
)
tyledong (cond
(tmp tmp)
(t tyledong)
)
lstent (vl-sort lstent
'(lambda (e1 e2)
(> (cadr (cdr (assoc 10 (entget e1))))
(cadr (cdr (assoc 10 (entget e2))))
)
)
)
egoc (car lstent)
lstent (cdr lstent)
pgoc (cdr (assoc 10 (entget egoc)))
xgoc (car pgoc)
yht (cadr pgoc)
zgoc (caddr pgoc)
hgoc (cdr (assoc 40 (entget egoc)))
linespc (* hgoc (+ 1.0 tyledong))

)
(foreach ee lstent
(setq tt (entget ee)
tt (subst (list 10
xgoc
(setq yht (- yht linespc))
zgoc
)
(assoc 10 tt)
tt
)
)
(entmod tt)
(entupd ee)
)
(princ)
)
(defun ss2ent (ss / sodt index lstent)
(setq
sodt (cond
(ss (sslength ss))
(t 0)
)
index 0
)
(repeat sodt
(setq ent (ssname ss index)
index (1+ index)
lstent (cons ent lstent)
)
)
(reverse lstent) 
)
(princ
"\nSTEXT - Sap xep text - free lisp from www.cadviet.com"
)
(vl-load-com)

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
quyennv01    12
Bạn phải đọc cho kỹ từng trang chứ?

Lệnh Stext của bác Hoành đây bạn :

(defun c:stext (/ sst lstent egoc pgoc xgoc yht zgoc linespc ee tt)
(if (not tyledong)
(setq tyledong 1.5)
)
(princ "\nSap xep text © CADViet.com")
(setq sst (ssget '((0 . "TEXT")))
lstent (ss2ent sst)
tmp (getreal (strcat "\nVao ty le dong khoang cach dong <"
(rtos tyledong 2 2)
">: "
)
)
tyledong (cond
(tmp tmp)
(t tyledong)
)
lstent (vl-sort lstent
'(lambda (e1 e2)
(> (cadr (cdr (assoc 10 (entget e1))))
(cadr (cdr (assoc 10 (entget e2))))
)
)
)
egoc (car lstent)
lstent (cdr lstent)
pgoc (cdr (assoc 10 (entget egoc)))
xgoc (car pgoc)
yht (cadr pgoc)
zgoc (caddr pgoc)
hgoc (cdr (assoc 40 (entget egoc)))
linespc (* hgoc (+ 1.0 tyledong))

)
(foreach ee lstent
(setq tt (entget ee)
tt (subst (list 10
xgoc
(setq yht (- yht linespc))
zgoc
)
(assoc 10 tt)
tt
)
)
(entmod tt)
(entupd ee)
)
(princ)
)
(defun ss2ent (ss / sodt index lstent)
(setq
sodt (cond
(ss (sslength ss))
(t 0)
)
index 0
)
(repeat sodt
(setq ent (ssname ss index)
index (1+ index)
lstent (cons ent lstent)
)
)
(reverse lstent) 
)
(princ
"\nSTEXT - Sap xep text - free lisp from www.cadviet.com"
)
(vl-load-com)

úi trời.lần này thì ngon rồi.cám ơn bạn nhiều nhé.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×